Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.xmlbars.toolbar.layouts
Class ToolBarDockConstraints

    java.lang.Object
      |
      +--com.smardec.asc.xmlbars.toolbar.layouts.ToolBarDockConstraints

public class ToolBarDockConstraints
extends java.lang.Object

`ToolBarDockConstraints` specifies constraints for the edge, row and row index at which toolbar should be docked.

Field Summary
`static int` | `EAST` The east edge constraint (right side of container).
`static int` | `MAX_VALUE` The maximum value of index in row at which the toolbar is docked.
`static int` | `NORTH` The north edge constraint (top of container).
`static int` | `SOUTH` The south edge constraint (bottom of container).
`static int` | `WEST` The west edge constraint (left side of container).

Constructor Summary
`ToolBarDockConstraints()` Creates a ToolBarDockConstraints object with a default edge of `NORTH`, row of 0, and index of `MAX_VALUE`.
`ToolBarDockConstraints(int edge)` Creates a ToolBarDockConstraints object at the specified `edge` with a default row of 0 and index of `MAX_VALUE`.
`ToolBarDockConstraints(int edge, int index)` Creates a ToolBarDockConstraints object at the specified edge and index with a default row of 0.
`ToolBarDockConstraints(int edge, int row, int index)` Creates a ToolBarDockConstraints object at the specified `edge`, `row` and `index`.

Method Summary
`int` | `getEdge()` Returns an int representing the edge in which the toolbar is docked.
`int` | `getIndex()` Returns an int representing the index within the row in which the toolbar is docked.
`int` | `getRow()` Returns an int representing the row index within the dock bounds in which the toolbar is docked.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORTH

    public static final int NORTH

  The north edge constraint (top of container).

  See Also:
    Constant Field Values

### SOUTH

    public static final int SOUTH

  The south edge constraint (bottom of container).

  See Also:
    Constant Field Values

### WEST

    public static final int WEST

  The west edge constraint (left side of container).

  See Also:
    Constant Field Values

### EAST

    public static final int EAST

  The east edge constraint (right side of container).

  See Also:
    Constant Field Values

### MAX_VALUE

    public static final int MAX_VALUE

  The maximum value of index in row at which the toolbar is docked.

  See Also:
    Constant Field Values

Constructor Detail

### ToolBarDockConstraints

    public ToolBarDockConstraints()

  Creates a ToolBarDockConstraints object with a default edge of `NORTH`, row of 0, and index of `MAX_VALUE`.

### ToolBarDockConstraints

    public ToolBarDockConstraints(int edge)

  Creates a ToolBarDockConstraints object at the specified `edge` with a default row of 0 and index of `MAX_VALUE`.

Parameters:
  `edge` - edge at which the toolbar is docked, must be one of the following values: `NORTH`, `SOUTH`, `WEST` or `EAST`

### ToolBarDockConstraints

    public ToolBarDockConstraints(int edge,
                                  int index)

  Creates a ToolBarDockConstraints object at the specified edge and index with a default row of 0.

Parameters:
  `edge` - edge at which the toolbar is docked, must be one of the following values: `NORTH`, `SOUTH`, `WEST` or `EAST`
  `index` - index in row at which the toolbar is docked, must be between 0 and `MAX_VALUE`

### ToolBarDockConstraints

    public ToolBarDockConstraints(int edge,
                                  int row,
                                  int index)

  Creates a ToolBarDockConstraints object at the specified `edge`, `row` and `index`.
  Note: not all `ToolbarDockLayout`'s styles fully support `row` constraint. For details see `ToolbarDockLayout.DOCK_STYLE_MULTILINE`, `ToolbarDockLayout.DOCK_STYLE_WRAPPING_MULTILINE`, `ToolbarDockLayout.DOCK_STYLE_SINGLE_LINE`.

Parameters:
  `edge` - edge edge at which the toolbar is docked, must be one of the following values: `NORTH`, `SOUTH`, `WEST` or `EAST`
  `row` - row at which the toolbar is docked, must be between 0 and `MAX_VALUE`
  `index` - index index in row at which the toolbar is docked, must be between 0 and `MAX_VALUE`

Method Detail

### getEdge

    public int getEdge()

  Returns an int representing the edge in which the toolbar is docked. Can be one of the following values: `NORTH`, `SOUTH`, `WEST` or `EAST`

  Returns:
    an int representing the edge in which the toolbar is docked.

### getRow

    public int getRow()

  Returns an int representing the row index within the dock bounds in which the toolbar is docked.
  Note: not all `ToolbarDockLayout`'s styles fully support `row` constraint. For details see `ToolbarDockLayout.DOCK_STYLE_MULTILINE`, `ToolbarDockLayout.DOCK_STYLE_WRAPPING_MULTILINE`, `ToolbarDockLayout.DOCK_STYLE_SINGLE_LINE`.

### getIndex

    public int getIndex()

  Returns an int representing the index within the row in which the toolbar is docked.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.